-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

in  { config =
        Genode.Init::{
        , verbose = True
        , children =
            toMap
              { test-rtc =
                  Genode.Init.Start::{
                  , binary = "test-rtc"
                  , resources = { caps = 128, ram = Genode.units.MiB 2 }
                  , exitPropagate = True
                  , routes =
                      [ Genode.ServiceRoute.parent "Timer"
                      , Genode.ServiceRoute.child "Rtc" "rtc_drv"
                      ]
                  }
              , rtc_drv =
                  Genode.Init.Start::{
                  , binary = "rtc_drv"
                  , provides = [ "Rtc" ]
                  , routes = [ Genode.ServiceRoute.parent "IO_PORT" ]
                  }
              }
        }
    , rom =
        let os = env:OS_MANIFEST
        
        in  Genode.Boot.toRomPaths [ os.bin.test-rtc, os.bin.rtc_drv ]
    }
